#include <ESP32Servo.h> // call the library for servo control.
Servo myservo;  //Here we are creating an object associated with the servo library.

#define servo 27  // ESP32 pin GIOP27 
#define POTENTIOMETER_PIN  14  // ESP32 pin GIOP14 connected to Potentiometer pin

// the setup routine runs once when you press reset:
void setup() {
  myservo.attach(servo); 
  pinMode(POTENTIOMETER_PIN, INPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  // reads the input on analog pin (value between 0 and 4095)
  int analogValue = analogRead(POTENTIOMETER_PIN);
  int value = map(analogValue, 0, 4095, 0, 180);

  myservo.write(value); //the servo will move to the value°.
  delay(15);
}
